Package pyxmpp :: Package sasl :: Module core :: Class Challenge

[hide private]

# Class Challenge

source code

    Reply --+
            |
           Challenge

The challenge SASL message (server's challenge for the client).

Instance Methods | [hide private]

__init__(self, data) Initialize the Challenge object. | source code

__repr__(self) | source code

Inherited from `Reply`: `base64`

Instance Variables | [hide private]

Inherited from `Reply`: `data`, `encode`

Method Details | [hide private]

### __init__(self, data)
(Constructor)

source code

Initialize the Challenge object.

Parameters:
  - `data` - : optional reply data.
Overrides: Reply.__init__